"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentAnalysis = void 0;
const memoizedAnalysis_1 = require("./memoizedAnalysis");
class DocumentAnalysis extends memoizedAnalysis_1.MemoizedAnalysis {
    constructor(textDocument, analysisSettings) {
        super(textDocument, analysisSettings);
    }
    getText(range) {
        return this.textDocument.getText(range);
    }
}
exports.DocumentAnalysis = DocumentAnalysis;
//# sourceMappingURL=documentAnalysis.js.map