import * as PQP from "@microsoft/powerquery-parser";
import { NodeIdMap } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { TActiveNode } from "../activeNode";
import { IInvokeExpression, InvokeExpressionArguments } from "./common";
import { TypeCache } from "../typeCache";
import { InspectionSettings } from "../../inspectionSettings";
export declare type TriedCurrentInvokeExpression = PQP.Result<CurrentInvokeExpression | undefined, PQP.CommonError.CommonError>;
export declare type CurrentInvokeExpression = IInvokeExpression<CurrentInvokeExpressionArguments>;
export interface CurrentInvokeExpressionArguments extends InvokeExpressionArguments {
    readonly argumentOrdinal: number;
}
export declare function tryCurrentInvokeExpression(settings: InspectionSettings, nodeIdMapCollection: NodeIdMap.Collection, activeNode: TActiveNode, typeCache?: TypeCache): Promise<TriedCurrentInvokeExpression>;
