import { Constant, Type } from "@microsoft/powerquery-parser/lib/powerquery-parser/language";
import { TXorNode } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { InspectTypeState } from "./common";
export declare function inspectTypeTBinOpExpression(state: InspectTypeState, xorNode: TXorNode, correlationId: number | undefined): Promise<Type.TPowerQueryType>;
export declare const Lookup: ReadonlyMap<string, Type.TypeKind>;
export declare const PartialLookup: ReadonlyMap<string, ReadonlySet<Type.TypeKind>>;
export declare function lookupKey(leftTypeKind: Type.TypeKind, operatorKind: Constant.TBinOpExpressionOperator, rightTypeKind: Type.TypeKind): string;
export declare function partialLookupKey(leftTypeKind: Type.TypeKind, operatorKind: Constant.TBinOpExpressionOperator): string;
