import * as PQP from "@microsoft/powerquery-parser";
import { NodeIdMap } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { Type } from "@microsoft/powerquery-parser/lib/powerquery-parser/language";
import { InspectionSettings } from "../..";
import { ScopeTypeByKey } from "../scope";
import { TypeCache } from "../typeCache";
export declare type TriedScopeType = PQP.Result<ScopeTypeByKey, PQP.CommonError.CommonError>;
export declare type TriedType = PQP.Result<Type.TPowerQueryType, PQP.CommonError.CommonError>;
export declare function tryScopeType(settings: InspectionSettings, nodeIdMapCollection: NodeIdMap.Collection, nodeId: number, typeCache?: TypeCache): Promise<TriedScopeType>;
export declare function tryType(settings: InspectionSettings, nodeIdMapCollection: NodeIdMap.Collection, nodeId: number, typeCache?: TypeCache): Promise<TriedType>;
