import * as PQP from "@microsoft/powerquery-parser";
import { Library } from "./library";
import { TypeById } from "./inspection";
export declare enum TypeStrategy {
    Extended = "Extended",
    Primitive = "Primitive"
}
export interface InspectionSettings extends PQP.Settings {
    readonly isWorkspaceCacheAllowed: boolean;
    readonly library: Library.ILibrary;
    readonly eachScopeById: TypeById | undefined;
    readonly typeStrategy: TypeStrategy;
}
