"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoOpLibrary = exports.LibraryDefinitionKind = void 0;
const externalType_1 = require("../externalType");
var LibraryDefinitionKind;
(function (LibraryDefinitionKind) {
    LibraryDefinitionKind["Constant"] = "Constant";
    LibraryDefinitionKind["Function"] = "Function";
    LibraryDefinitionKind["Type"] = "Type";
})(LibraryDefinitionKind = exports.LibraryDefinitionKind || (exports.LibraryDefinitionKind = {}));
exports.NoOpLibrary = {
    externalTypeResolver: externalType_1.ExternalType.noOpExternalTypeResolver,
    libraryDefinitions: {
        dynamicLibraryDefinitions: () => new Map(),
        staticLibraryDefinitions: new Map(),
    },
};
//# sourceMappingURL=library.js.map