import { ParameterInformation, SignatureInformation } from "vscode-languageserver-types";
import { ILibrary, LibraryDefinitionKind, LibraryFunction, LibraryParameter, TLibraryDefinition } from "./library";
export declare function getDefinition(library: ILibrary, identifierLiteral: string): TLibraryDefinition | undefined;
export declare function getDefinitionKeys(library: ILibrary): ReadonlyArray<string>;
export declare function hasDefinition(library: ILibrary, key: string): boolean;
export declare function signatureInformation(libraryFunctionSignature: LibraryFunction): SignatureInformation;
export declare function parameterInformation(libraryParameter: LibraryParameter): ParameterInformation;
export declare function nameOf(kind: LibraryDefinitionKind): string;
