import { ILocalizationTemplates } from "./templates";
interface ILocalization {
    error_validation_duplicate_identifier: (templates: ILocalizationTemplates, identifier: string) => string;
    error_validation_invokeExpression_missingMandatory: (templates: ILocalizationTemplates, functionName: string | undefined, argName: string) => string;
    error_validation_invokeExpression_numArgs: (templates: ILocalizationTemplates, numMin: number, numMax: number, numGiven: number) => string;
    error_validation_invokeExpression_typeMismatch: (templates: ILocalizationTemplates, functionName: string | undefined, argName: string, expected: string, actual: string) => string;
    error_validation_unknownIdentifier: (templates: ILocalizationTemplates, identifier: string, suggestion: string | undefined) => string;
}
export declare const Localization: ILocalization;
export {};
