"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationTraceConstant = exports.ProviderTraceConstant = exports.InspectionTraceConstant = exports.AutocompleteTraceConstant = void 0;
var AutocompleteTraceConstant;
(function (AutocompleteTraceConstant) {
    AutocompleteTraceConstant["Autocomplete"] = "Autocomplete";
    AutocompleteTraceConstant["AutocompleteFieldAccess"] = "FieldAccess";
    AutocompleteTraceConstant["AutocompleteKeyword"] = "Keyword";
    AutocompleteTraceConstant["AutocompleteLanguageConstant"] = "LanguageConstant";
    AutocompleteTraceConstant["AutocompletePrimitiveType"] = "PrimitiveType";
})(AutocompleteTraceConstant = exports.AutocompleteTraceConstant || (exports.AutocompleteTraceConstant = {}));
var InspectionTraceConstant;
(function (InspectionTraceConstant) {
    InspectionTraceConstant["Inspect"] = "Inspect";
    InspectionTraceConstant["InspectCurrentInvokeExpression"] = "Inspection.CurrentInvokeExpression";
    InspectionTraceConstant["InspectExpectedType"] = "Inspection.ExpectedType";
    InspectionTraceConstant["InspectInvokeExpression"] = "Inspection.InvokeExpression";
    InspectionTraceConstant["InspectScope"] = "Inspection.Scope";
    InspectionTraceConstant["InspectScopeItem"] = "Inspection.ScopeItem";
    InspectionTraceConstant["InspectScopeType"] = "Inspection.ScopeType";
    InspectionTraceConstant["InspectType"] = "Inspection.Type";
    InspectionTraceConstant["InspectionUtils"] = "InspectionUtils";
})(InspectionTraceConstant = exports.InspectionTraceConstant || (exports.InspectionTraceConstant = {}));
var ProviderTraceConstant;
(function (ProviderTraceConstant) {
    ProviderTraceConstant["LanguageCompletionProvider"] = "LanguageCompletionProvider";
    ProviderTraceConstant["LibrarySymbolProvider"] = "LibrarySymbolProvider";
    ProviderTraceConstant["LocalDocumentSymbolProvider"] = "LocalDocumentSymbolProvider";
})(ProviderTraceConstant = exports.ProviderTraceConstant || (exports.ProviderTraceConstant = {}));
var ValidationTraceConstant;
(function (ValidationTraceConstant) {
    ValidationTraceConstant["AnalysisBase"] = "AnalysisBase";
    ValidationTraceConstant["Validation"] = "Validation";
})(ValidationTraceConstant = exports.ValidationTraceConstant || (exports.ValidationTraceConstant = {}));
//# sourceMappingURL=trace.js.map