import { TextDocument } from "vscode-languageserver-textdocument";
import { AnalysisSettings } from "../analysis";
import { CommonError, Result } from "@microsoft/powerquery-parser";
import type { ValidateOk } from "./validateOk";
import type { ValidationSettings } from "./validationSettings";
export declare function validate(textDocument: TextDocument, analysisSettings: AnalysisSettings, validationSettings: ValidationSettings): Promise<Result<ValidateOk | undefined, CommonError.CommonError>>;
