import type { Range } from "vscode-languageserver-types";
import type { TextDocument } from "vscode-languageserver-textdocument";
import { AnalysisSettings } from "./analysisSettings";
import { MemoizedAnalysis } from "./memoizedAnalysis";
export declare class DocumentAnalysis extends MemoizedAnalysis {
    constructor(textDocument: TextDocument, analysisSettings: AnalysisSettings);
    protected getText(range?: Range): string;
}
