"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.positionFromTokenPosition = exports.rangeFromTokenRange = void 0;
function rangeFromTokenRange(tokenRange) {
    return {
        start: positionFromTokenPosition(tokenRange.positionStart),
        end: positionFromTokenPosition(tokenRange.positionEnd),
    };
}
exports.rangeFromTokenRange = rangeFromTokenRange;
function positionFromTokenPosition(tokenPosition) {
    return {
        character: tokenPosition.lineCodeUnit,
        line: tokenPosition.lineNumber,
    };
}
exports.positionFromTokenPosition = positionFromTokenPosition;
//# sourceMappingURL=commonTypesUtils.js.map