"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.noOpExternalTypeResolver = exports.ExternalTypeRequestKind = void 0;
var ExternalTypeRequestKind;
(function (ExternalTypeRequestKind) {
    ExternalTypeRequestKind["Invocation"] = "Invocation";
    ExternalTypeRequestKind["Value"] = "Value";
})(ExternalTypeRequestKind = exports.ExternalTypeRequestKind || (exports.ExternalTypeRequestKind = {}));
// A null/no-op resolver for when one is required but shouldn't resolve anything,
// Eg. for test mocks.
function noOpExternalTypeResolver(_request) {
    return undefined;
}
exports.noOpExternalTypeResolver = noOpExternalTypeResolver;
//# sourceMappingURL=externalType.js.map