"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.textDocument = exports.TraceUtils = exports.PositionUtils = exports.InspectionUtils = exports.Inspection = exports.CommonTypesUtils = void 0;
const vscode_languageserver_textdocument_1 = require("vscode-languageserver-textdocument");
exports.CommonTypesUtils = require("./commonTypesUtils");
exports.Inspection = require("./inspection");
exports.InspectionUtils = require("./inspectionUtils");
exports.PositionUtils = require("./positionUtils");
exports.TraceUtils = require("./traceUtils");
__exportStar(require("./analysis"), exports);
__exportStar(require("./commonTypes"), exports);
__exportStar(require("./diagnosticErrorCode"), exports);
__exportStar(require("./documentSymbols"), exports);
__exportStar(require("./externalType"), exports);
__exportStar(require("./formatter"), exports);
__exportStar(require("./inspectionSettings"), exports);
__exportStar(require("./jaroWinkler"), exports);
__exportStar(require("./library"), exports);
__exportStar(require("./providers"), exports);
__exportStar(require("./tokenPositionComparison"), exports);
__exportStar(require("./trace"), exports);
__exportStar(require("./validate"), exports);
function textDocument(id, version, content) {
    return vscode_languageserver_textdocument_1.TextDocument.create(id, "powerquery", version, content);
}
exports.textDocument = textDocument;
//# sourceMappingURL=index.js.map