import { NodeIdMap, TXorNode, XorNode } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { Ast } from "@microsoft/powerquery-parser/lib/powerquery-parser/language";
import type { Position } from "vscode-languageserver-types";
import { ActiveNode, OutOfBoundPosition, TActiveNode } from "./activeNode";
export declare function activeNode(nodeIdMapCollection: NodeIdMap.Collection, position: Position): TActiveNode;
export declare function createOutOfBoundPosition(position: Position): OutOfBoundPosition;
export declare function assertActiveNode(nodeIdMapCollection: NodeIdMap.Collection, position: Position): ActiveNode;
export declare function assertGetLeaf(activeNode: ActiveNode): TXorNode;
export declare function assertPositionInBounds(value: TActiveNode): asserts value is ActiveNode;
export declare function isPositionInBounds(value: TActiveNode): value is ActiveNode;
export declare function findNodeKind<T extends Ast.TNode>(activeNode: ActiveNode, nodeKind: T["kind"]): XorNode<T> | undefined;
