import * as PQP from "@microsoft/powerquery-parser";
import { NodeIdMap } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { ActiveNode, TActiveNode } from "../activeNode";
import { InspectedFieldAccess, TriedAutocompleteFieldAccess } from "./commonTypes";
import { InspectionSettings } from "../../inspectionSettings";
import { TypeCache } from "../typeCache";
export declare function inspectFieldAccess(lexerSnapshot: PQP.Lexer.LexerSnapshot, nodeIdMapCollection: NodeIdMap.Collection, activeNode: ActiveNode): InspectedFieldAccess | undefined;
export declare function tryAutocompleteFieldAccess(settings: InspectionSettings, parseState: PQP.Parser.ParseState, activeNode: TActiveNode, typeCache: TypeCache): Promise<TriedAutocompleteFieldAccess>;
