import { Keyword, Type } from "@microsoft/powerquery-parser/lib/powerquery-parser/language";
import type { AutocompleteItem } from "./autocompleteItem";
import { Inspection } from "../../..";
import { Library } from "../../../library";
export declare function fromKeywordKind(label: Keyword.KeywordKind, other?: string): AutocompleteItem;
export declare function fromLibraryDefinition(label: string, libraryDefinition: Library.TLibraryDefinition, other?: string): Inspection.AutocompleteItem;
export declare function fromScopeItem(label: string, scopeItem: Inspection.TScopeItem, powerQueryType: Type.TPowerQueryType, other?: string): AutocompleteItem | undefined;
export declare function comparer(left: AutocompleteItem, right: AutocompleteItem): number;
