import * as PQP from "@microsoft/powerquery-parser";
import { NodeIdMap } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { ActiveNode, TActiveNode } from "../../activeNode";
import { AutocompleteItem } from "../autocompleteItem";
import { TrailingToken } from "../trailingToken";
import { TriedAutocompleteKeyword } from "../commonTypes";
export declare function tryAutocompleteKeyword(settings: PQP.CommonSettings, nodeIdMapCollection: NodeIdMap.Collection, activeNode: TActiveNode, trailingToken: TrailingToken | undefined): Promise<TriedAutocompleteKeyword>;
export declare function autocompleteKeyword(nodeIdMapCollection: NodeIdMap.Collection, activeNode: ActiveNode, trailingToken: TrailingToken | undefined): Promise<ReadonlyArray<AutocompleteItem>>;
