"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.keys = void 0;
const powerquery_parser_1 = require("@microsoft/powerquery-parser");
function keys(autocomplete) {
    let result = [];
    if (powerquery_parser_1.ResultUtils.isOk(autocomplete.triedFieldAccess) && autocomplete.triedFieldAccess.value !== undefined) {
        result = result.concat(autocomplete.triedFieldAccess.value.autocompleteItems.map((autocompleteItem) => autocompleteItem.label));
    }
    if (powerquery_parser_1.ResultUtils.isOk(autocomplete.triedKeyword)) {
        result = result.concat(autocomplete.triedKeyword.value.map((autocompleteItem) => autocompleteItem.label));
    }
    if (powerquery_parser_1.ResultUtils.isOk(autocomplete.triedPrimitiveType) && autocomplete.triedPrimitiveType.value !== undefined) {
        result = result.concat(autocomplete.triedPrimitiveType.value.map((autocompleteItem) => autocompleteItem.label));
    }
    return result;
}
exports.keys = keys;
//# sourceMappingURL=autocompleteUtils.js.map