import * as PQP from "@microsoft/powerquery-parser";
import { Type } from "@microsoft/powerquery-parser/lib/powerquery-parser/language";
import { TXorNode } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { ActiveNode, TActiveNode } from "./activeNode";
export declare type TriedExpectedType = PQP.Result<Type.TPowerQueryType | undefined, PQP.CommonError.CommonError>;
export declare function tryExpectedType(settings: PQP.CommonSettings, activeNode: TActiveNode): TriedExpectedType;
export declare function findExpectedType(activeNode: ActiveNode): Type.TPowerQueryType | undefined;
export declare function expectedType(parentXorNode: TXorNode, childIndex: number): Type.TPowerQueryType;
