import * as PQP from "@microsoft/powerquery-parser";
import { NodeIdMap } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
import { IInvokeExpression, InvokeExpressionArguments } from "./common";
import { TypeCache } from "../typeCache";
import { InspectionSettings } from "../../inspectionSettings";
export declare type TriedInvokeExpression = PQP.Result<InvokeExpression, PQP.CommonError.CommonError>;
export declare type InvokeExpression = IInvokeExpression<InvokeExpressionArguments>;
export declare function tryInvokeExpression(settings: InspectionSettings, nodeIdMapCollection: NodeIdMap.Collection, invokeExpressionId: number, typeCache?: TypeCache): Promise<TriedInvokeExpression>;
