import { Ast, Type } from "@microsoft/powerquery-parser/lib/powerquery-parser/language";
import { NodeIdMap, TXorNode } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
export interface PseduoFunctionExpressionType {
    readonly parameters: ReadonlyArray<PseudoFunctionParameterType>;
    readonly returnType: Type.TPrimitiveType;
}
export interface PseudoFunctionParameterType extends Omit<Type.FunctionParameter, "nameLiteral"> {
    readonly id: number;
    readonly name: Ast.Identifier;
}
export declare function pseudoFunctionExpressionType(nodeIdMapCollection: NodeIdMap.Collection, fnExpr: TXorNode): PseduoFunctionExpressionType;
