import { CommonError, Result } from "@microsoft/powerquery-parser";
import { AutocompleteItemProviderContext, IAutocompleteItemProvider } from "./commonTypes";
import { Inspection } from "..";
export declare class LanguageAutocompleteItemProvider implements IAutocompleteItemProvider {
    protected readonly locale: string;
    private static readonly ExcludedKeywords;
    constructor(locale: string);
    getAutocompleteItems(context: AutocompleteItemProviderContext): Promise<Result<Inspection.AutocompleteItem[] | undefined, CommonError.CommonError>>;
    private getKeywords;
    private getLanguageConstants;
    private getPrimitiveTypes;
}
