import { Ast, Type } from "@microsoft/powerquery-parser/lib/powerquery-parser/language";
import { TXorNode } from "@microsoft/powerquery-parser/lib/powerquery-parser/parser";
export declare function typeDetails(powerQueryType: Type.TPowerQueryType): TypeDetails;
export declare function xorNodeDetails(xorNode: TXorNode): XorNodeDetails;
interface TypeDetails {
    readonly kind: Type.TypeKind;
    readonly extendedType: Type.ExtendedTypeKind | undefined;
    readonly isNullable: boolean;
}
interface XorNodeDetails {
    readonly nodeId: number;
    readonly nodeKind: Ast.NodeKind;
}
export {};
